(function()
{
    angular.module('appSdk')
        .factory('RoomsDataAccess', ['$q', 'RequestDataAccess', function ($q, RequestDataAccess) {

            var DataAccess = {};

            DataAccess.getRootRooms = function(promise)
            {
                return RequestDataAccess.get("/api/room/getrootrooms", null, promise);
            };

            DataAccess.getFreeRooms = function(data, promise)
            {
                return RequestDataAccess.get("/api/room/getfree/" + data.begin + "/" +
                    data.end + "/" + data.root_room, null, promise);
            };

            DataAccess.getAll = function(promise)
            {
                return RequestDataAccess.get("/api/room/getrooms", null, promise);
            };

            return DataAccess;
        }]);
})();