(function()
{
    angular.module('appSdk')
        .factory('WeeksDataAccess', ['$q', 'RequestDataAccess', function ($q, RequestDataAccess) {

            var DataAccess = {};

            DataAccess.getWeek = function(data, promise)
            {
                return RequestDataAccess.get("/api/week/getweek/" + data.week_id + "/" + data.group_id + "/" + data.type_id, null, promise);
            };

            DataAccess.getCurrentWeek = function(data, promise)
            {
                return RequestDataAccess.get("/api/week/getcurrentweek/" + data.group_id + "/" + data.type_id, null, promise);
            };

            return DataAccess;
        }]);
})();